Subject: Re: [PATCH v7 00/11] Add submodulePathConfig extension and gitdir encoding

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 6 Jan 2026 08:25:29 +0100

On Sat, Dec 20, 2025 at 12:15:17PM +0200, Adrian Ratiu wrote:
> Changes in v7:
> * Simplified submodule_name_to_gitdir() code structure. Logically it still is
>   the same like in v6, just easier to read. (Patrick)
> * Reworked the global config to enable the extension only for new repos
>   during clone and init operations (Patrick, Junio)
> * Improved validation of existing submodules with encoded names (Josh, Emily)
> * Added more tests for init, clone w/o --recurse-submodules and a conflict (Josh)
> * Migration command creates gitdir configs before enabling the extension (Patrick)
> * Reworded and reformatted the extension doc (Junio, Ben)
> * Reworded submodule.<name>.gitdir documentation for clarity (Patrick)
> * Added references to extensions.submodulePathConfig in error msgs (Junio, Patrick)
> * Minor whitespace fixes and others nits (Patrick)

I've had another look at this now. Concept-wise I'm now happy with this
series, so what remains is mostly just nits. I think that this series
should become ready in one or two iterations. Thanks!

Patrick